petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSRosWRegister

register a Rosenbrock W scheme by providing the entries in the Butcher tableau and optionally embedded approximations and interpolation

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSRosWRegister(TSRosWType name,PetscInt order,PetscInt s,const PetscReal A[],const PetscReal Gamma[],const PetscReal b[],const PetscReal bembed[],
                                  PetscInt pinterp,const PetscReal binterpt[])

Not Collective, but the same schemes should be registered on all processes on which they will be used

### Input Parameters

| name | - identifier for method
| order | - approximation order of method
| s | - number of stages, this is the dimension of the matrices below
| A | - Table of propagated stage coefficients (dimension s*s, row-major), strictly lower triangular
| Gamma | - Table of coefficients in implicit stage equations (dimension s*s, row-major), lower triangular with nonzero diagonal
| b | - Step completion table (dimension s)
| bembed | - Step completion table for a scheme of order one less (dimension s, NULL if no embedded scheme is available)
| pinterp | - Order of the interpolation scheme, equal to the number of columns of binterpt
| binterpt | - Coefficients of the interpolation formula (dimension s*pinterp)

### Notes

Several Rosenbrock W methods are provided, this function is only needed to create new methods.

### See Also

TSRosW

### Level

advanced

### Location

src/ts/impls/rosw/rosw.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages